List News Development Cards
curl --request GET \
--url https://api.rangler.co/v1/news/developments \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rangler.co/v1/news/developments"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rangler.co/v1/news/developments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"headline": "<string>",
"summary": "<string>",
"status": "<string>",
"confidence": 0.5,
"source_count": 123,
"why_it_matters": "<string>",
"first_published_at": "2023-11-07T05:31:56Z",
"last_published_at": "2023-11-07T05:31:56Z",
"generated_at": "2023-11-07T05:31:56Z",
"primary_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"ticker": "<string>",
"isin": "<string>",
"sector": "<string>",
"is_public": true,
"exchange": "<string>",
"country_code": "NG",
"market_classification": "<string>",
"index_memberships": [
"<string>"
],
"ir_url": "<string>",
"website": "<string>",
"logo_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"companies": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"ticker": "<string>",
"isin": "<string>",
"sector": "<string>",
"is_public": true,
"exchange": "<string>",
"country_code": "NG",
"market_classification": "<string>",
"index_memberships": [
"<string>"
],
"ir_url": "<string>",
"website": "<string>",
"logo_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"sources": [
{
"article_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"url": "<string>",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publisher": "<string>",
"publisher_domain": "<string>",
"favicon_domain": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"excerpt": "<string>"
}
],
"price_context": {
"price": 123,
"as_of": "2023-12-25",
"currency": "<string>",
"net_change": 123,
"percentage_change": 123
}
}
],
"next_cursor": "<string>"
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}News
List News Development Cards
GET
/
v1
/
news
/
developments
List News Development Cards
curl --request GET \
--url https://api.rangler.co/v1/news/developments \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rangler.co/v1/news/developments"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rangler.co/v1/news/developments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"headline": "<string>",
"summary": "<string>",
"status": "<string>",
"confidence": 0.5,
"source_count": 123,
"why_it_matters": "<string>",
"first_published_at": "2023-11-07T05:31:56Z",
"last_published_at": "2023-11-07T05:31:56Z",
"generated_at": "2023-11-07T05:31:56Z",
"primary_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"ticker": "<string>",
"isin": "<string>",
"sector": "<string>",
"is_public": true,
"exchange": "<string>",
"country_code": "NG",
"market_classification": "<string>",
"index_memberships": [
"<string>"
],
"ir_url": "<string>",
"website": "<string>",
"logo_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"companies": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"ticker": "<string>",
"isin": "<string>",
"sector": "<string>",
"is_public": true,
"exchange": "<string>",
"country_code": "NG",
"market_classification": "<string>",
"index_memberships": [
"<string>"
],
"ir_url": "<string>",
"website": "<string>",
"logo_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"sources": [
{
"article_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"url": "<string>",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publisher": "<string>",
"publisher_domain": "<string>",
"favicon_domain": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"excerpt": "<string>"
}
],
"price_context": {
"price": 123,
"as_of": "2023-12-25",
"currency": "<string>",
"net_change": 123,
"percentage_change": 123
}
}
],
"next_cursor": "<string>"
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}Authorizations
Query Parameters
Optional market venue code, e.g. NGX or NASD
Required string length:
1 - 160Maximum string length:
32Maximum string length:
120Maximum string length:
16Available options:
all, tracked Required range:
1 <= x <= 50Maximum string length:
512Filter by ISO 3166-1 alpha-2 market country code